import { downLoad2, renderSize } from '@/utils'
export const workspaceOptions = {
  props: {
    tableData: {//数据
      type: Array,
      default: () => {
        return []
      }
    },
    queryParams: {//分页信息
      type: Object,
      default: () => {
        return {
          size: 10,
          current: 1,
        }
      }
    },
  },
  methods: {
    renderSize,
    handleClick(row,key) {
      if(key == 'name'){
        const router = this.$router.resolve({
          path: '/project/patentCollection',
          query: {
            id: row.id,
          }
        })
        window.open(router.href, '_blank');
      }

    },
    //操作列
    handleCommand(event, row) {
      var isLast = false
      if(event == 10){//删除
        this.action={
          type:'1',
          id:row.id
        } 
        if(this.tableData.length == 1){
          isLast = true
        }
      }
      if(event == 'e'){//编辑
        this.action={
          type:'2',
          id:row.id
        } 
      }

      this.$emit('option', { option: event, row ,isLast:isLast})
    },
  },
}